Create a Payment

This API will allow you to create a Payment request for a user.

📘

Settlement Speeds

Liability payments: Support STANDARD settlement.

Bank account payments: Support SAME_DAY or NEXT_DAY settlement.

Body Params
string
required

Spinwheel userId of the user the payment request is created for.

string
required

An id generated by you, a partner, to refer back the payment request. (Needs to be unique for a given request)

number
required
≥ 1

Payment amount.

string
required

payerId of payer from whom the payment would go through.

string

The ID of the settlement account to draw funds from.

string

useOfFundsId of funds allocation you've configured. Either of useOfFundsId or useOfFunds object is required.

useOfFunds
object
number

Epoch timestamp value of schedule date

schedule
object

Schedule of the payment request. If not provided, the current date is used as the start date.

string
enum
required

Type of the payment request. Only ONE_TIME is supported.

Allowed:
string
enum

Settlement speed. If this field is not set, the default configuration will be used.

Allowed:
string

This is to tag payments with specific keywords.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json